﻿using System;
using System.Web.Mvc;

namespace Tip38.Controllers
{
    public class FormActionInvokerControllerFactory : DefaultControllerFactory
    {
        protected override IController GetControllerInstance(Type controllerType)
        {
            var controller = base.GetControllerInstance(controllerType) as Controller;
            if (controller != null)
            {
                var context = new ControllerContext(this.RequestContext, controller);
                controller.ActionInvoker = new FormActionInvoker(context);
            }
            return controller;
        }
    }
}
