﻿using System.Web.Mvc;

using LinqToSqlExtensions;
using Tip38.Models;
using System.Collections.Specialized;

namespace Tip38.Controllers
{
    public class HomeController : Controller
    {
        private MovieDataContext _dataContext;

        public HomeController()
        {
            _dataContext = new MovieDataContext();
        }

        public ActionResult Index()
        {
            return View("Index", _dataContext.Select<Movie>());
        }

        public ActionResult Details(int id)
        {
            return View("Details", _dataContext.Get<Movie>(id));
        }

        public ActionResult Edit(int id)
        {
            return View("Edit", _dataContext.Get<Movie>(id));
        }

        public ActionResult Update(int id, NameValueCollection formParams)
        {
            _dataContext.Update<Movie>(formParams, id);
            return RedirectToAction("Index");
        }

        public ActionResult Delete(int id)
        {
            _dataContext.Delete<Movie>(id);
            return RedirectToAction("Index");
        }

        public ActionResult Create()
        {
            return View("Create");
        }

        public ActionResult Insert(NameValueCollection formParams)
        {
            _dataContext.Insert<Movie>(formParams);
            return RedirectToAction("Index");
        }

    }
}
