Imports Microsoft.VisualBasic
Imports System.Web.Mvc

Imports LinqToSqlExtensions
Imports Tip38
Imports System.Collections.Specialized

Public Class HomeController
    Inherits Controller

    Private _dataContext As MovieDataContext

    Public Sub New()
        _dataContext = New MovieDataContext()
    End Sub

    Public Function Index() As ActionResult
        Return View("Index", _dataContext.Select(Of Movie)())
    End Function

    Public Function Details(ByVal id As Integer) As ActionResult
        Return View("Details", _dataContext.Get(Of Movie)(id))
    End Function

    Public Function Edit(ByVal id As Integer) As ActionResult
        Return View("Edit", _dataContext.Get(Of Movie)(id))
    End Function

    Public Function Update(ByVal id As Integer, ByVal formParams As NameValueCollection) As ActionResult
        _dataContext.Update(Of Movie)(formParams, id)
        Return RedirectToAction("Index")
    End Function

    Public Function Delete(ByVal id As Integer) As ActionResult
        _dataContext.Delete(Of Movie)(id)
        Return RedirectToAction("Index")
    End Function

    Public Function Create() As ActionResult
        Return View("Create")
    End Function

    Public Function Insert(ByVal formParams As NameValueCollection) As ActionResult
        _dataContext.Insert(Of Movie)(formParams)
        Return RedirectToAction("Index")
    End Function

End Class
